/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct RemoteClusterInfo {
    /// The display name for the remote cluster
    #[serde(rename = "display_name", skip_serializing_if = "Option::is_none")]
    pub display_name: Option<String>,
    /// The time in milliseconds a remote cluster was created
    #[serde(rename = "create_at", skip_serializing_if = "Option::is_none")]
    pub create_at: Option<i64>,
    /// The time in milliseconds a remote cluster was last pinged successfully
    #[serde(rename = "last_ping_at", skip_serializing_if = "Option::is_none")]
    pub last_ping_at: Option<i64>,
}

impl RemoteClusterInfo {
    pub fn new() -> RemoteClusterInfo {
        RemoteClusterInfo {
            display_name: None,
            create_at: None,
            last_ping_at: None,
        }
    }
}
